Subject: Re: [Uri-review] Uri-review Digest, Vol 45, Issue 9

From: "Zehler, Peter" <[email-masked]>
Date: Mon, 3 May 2010 08:34:47 -0700

Ted Hardie,

I have now passed the draft on to the sip-core list for their review.  I
await their comments.

I used the semantics of post-dial and t33-subaddress from the now
obsolete rfc2806.   I patterned the pre-dial after the post-dial since
rfc2806 contained no such construct.  One of the problems with rfc2806
was that the pre-dial string was included in the tel: URI and was not
separate from the resource identifier.  Rfc3966 has corrected that
shortcoming but the additional parameter that was not defined in rfc2806
is now needed.

Pete 

Peter Zehler

Xerox Research Center Webster
Email: [email-masked]
Voice: (585) 265-8755
FAX: (585) 265-7441
US Mail: Peter Zehler
Xerox Corp.
800 Phillips Rd.
M/S 128-25E
Webster NY, 14580-9701 

-----Original Message-----
Hi Peter,

Has this been reviewed by any of the RAI-area working groups that deals
with SIP?  This group can assist with reviewing the syntax proposed,
which boils down to this section:

Dial-string-params    = pre-dial / post-dial / t33-subaddress
   pre-dial              = ";pred=" 1*(phonedigit /
                           dtmf-digit / pause-character)
   post-dial             = ";postd=" 1*(phonedigit /
                           dtmf-digit / pause-character)
   t33-subaddress        = ";tsub=" 1*phonedigit

   pause-character       = one-second-pause / wait-for-dial-tone
   one-second-pause      = "p"
   wait-for-dial-tone    = "w"
   dtmf-digit            = "*" / "A" / "B" / "C" / "D" / sharp-digit
   sharp-digit            = "%23"

but it seems to me the agreement that "pre-dial", "post-dial" and
"t33-subaddress"
are the right semantic approach is really a matter to be considered
there.  Usually uri-review occurs when that semantic discussion has
taken place; it may, of course, have done so, but a pointer to the
discussion would be valuable.

regards,

Ted Hardie

On Tue, Apr 27, 2010 at 8:12 AM, Zehler, Peter <[email-masked]>
wrote:
> All,
>
>
>
> This is a request for the list to review a draft that codifies the 
> parameters for Dial Strings to be used in an rfc3966 compliant URL.  
> The requirements for this draft originated in the IEEE/ISTO Printer 
> Working Group (PWG) <http://www.pwg.org>.  The PWG is a consortium 
> printer and multi-function device manufacturers, print server 
> developers, operating system providers and print management 
> application developers.  Previous works of the PWG include the Printer

> MIB (rfc3805) and the Internet Printing Protocol (rfc2911, rfc2910 and

> others)  The Working Group in the PWG that I chair is addressing the 
> modeling of Multifunction Devices.  In that effort an outbound 
> facsimile (i.e FaxOut) requires a way to encode Dial Strings in the
URL for a destination facsimile device.
>
>
>
> The draft title is "Dial String syntax for the "tel" URI Scheme" and 
> it can be retrieved from 
> <http://tools.ietf.org/html/draft-zehler-teldial-info-00>.   It 
> proposes three "tel" URI schemes parameters that cover pre-dialing, 
> post-dialing  and
> T.33 subaddressing.
>
>
>
> I look forward to your comments,
>
>
>
> Peter Zehler
>
> Xerox Research Center Webster
> Email: [email-masked]
> Voice: (585) 265-8755
> FAX: (585) 265-7441
> US Mail: Peter Zehler
> Xerox Corp.
> 800 Phillips Rd.
> M/S 128-25E
> Webster NY, 14580-9701
>
>
>
>
>
>>
>
>> -----Original Message-----
>
>> From: IETF I-D Submission Tool [mailto:[email-masked]]
>
>> Sent: Monday, April 26, 2010 4:06 PM
>
>> To: Zehler, Peter
>
>> Subject: New Version Notification for draft-zehler-teldial-info-00
>
>>
>
>>
>
>> A new version of I-D, draft-zehler-teldial-info-00.txt has been 
>> successfully submitted by Peter Zehler and posted to the IETF
repository.
>
>>
>
>> Filename:        draft-zehler-teldial-info
>
>> Revision:        00
>
>> Title:           Dial String syntax for the "tel" URI Scheme
>
>> Creation_date:   2010-04-24
>
>> WG ID:           Independent Submission
>
>> Number_of_pages: 7
>
>>
>
>> Abstract:
>
>> The "tel" URI (Uniform Resource Identifier) for Telephone Numbers
>
>> [RFC3966] describes resources identified by telephone numbers.  These
>
>> resources specify termination points within a public or private
>
>> telephone network. The termination points are a globally or locally
>
>> unique endpoint.  RFC3966 does not address the means by which the
>
>> telephone URI can be used to reach termination point from a specific
>
>> node in the telephone network.
>
>>
>
>> This document specifies the means by which the termination point is
>
>> reached from a specific node in the telephone network. This document
>
>> specifies how to encode the numbers, symbols and pauses required to
>
>> traverse the phone network to reach the termination point in an RFC
>
>> 3966 compliant "tel" URI.
>
>>
>
>>
>
>>
>
>> The IETF Secretariat.
>
>>
>
>>
>
>
>
> _______________________________________________
> Uri-review mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/uri-review
>
>